local frame = CreateFrame("Frame")

local function ReadyAlertOnEvent(self, event, ...)
	if (event == "LFG_PROPOSAL_SHOW" or event == "READY_CHECK" or event == "PET_BATTLE_QUEUE_PROPOSE_MATCH") then
		PlaySoundFile("Sound\\Interface\\ReadyCheck.wav", "Master")

	elseif (event == "UPDATE_BATTLEFIELD_STATUS") then
		
		for i = 1, GetMaxBattlefieldID() do
			status, mapName, instanceID, lowestlevel, highestlevel, teamSize, registeredMatch = GetBattlefieldStatus(i);
		
			if (status == "confirm") then
				PlaySoundFile("Sound\\Interface\\ReadyCheck.wav", "Master")
				break
			end
			i = i + 1
		end
	end
end

function ReadyAlertOnLoad()

end

frame:RegisterEvent("LFG_PROPOSAL_SHOW");
frame:RegisterEvent("READY_CHECK");
frame:RegisterEvent("UPDATE_BATTLEFIELD_STATUS");
frame:RegisterEvent("PET_BATTLE_QUEUE_PROPOSE_MATCH");
frame:SetScript("OnEvent", ReadyAlertOnEvent)